lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'humidifier/reservoir/version'

Gem::Specification.new do |spec| # rubocop:disable Metrics/BlockLength
  spec.name          = 'humidifier-reservoir'
  spec.version       = Humidifier::Reservoir::VERSION
  spec.authors       = ['Localytics']
  spec.email         = ['oss@localytics.com']

  spec.summary       = 'Specify CloudFormation resources in YAML'
  spec.description   = <<-DESC
    Reservoir is a plugin for the humidifier gem that allows you to specify
    CloudFormation resources in yaml syntax, while still allowing you to take
    advantage of the flexibility of humidifier.
  DESC
  spec.homepage      = 'https://github.com/localytics/humidifier-reservoir'
  spec.license       = 'MIT'

  files              = `git ls-files -z`.split("\x0")
  spec.files         = files.reject { |f| f.match(%r{^(test|spec|features)/}) }

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'aws-sdk-cloudformation', '~> 1.3'
  spec.add_dependency 'aws-sdk-s3', '~> 1.8'
  spec.add_dependency 'humidifier', '~> 2.0'
  spec.add_dependency 'thor', '~> 0.20'
  spec.add_dependency 'thor-hollaback', '~> 0.1'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.11'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rubocop', '~> 0.52'
  spec.add_development_dependency 'simplecov', '~> 0.15'
  spec.add_development_dependency 'yard', '~> 0.9'
end
